<div class="card-body h-100 d-flex justify-content-center ">
    <div class="align-self-center white-box h-100 login">
        <div class="mb-5">
            <a href="#"><img src="assets/images/logo.png" width="120" height="70" alt=""/></a>
        </div>
        <div *ngIf="errorMsg" class="alert alert-danger">
            {{errorMsg}}
        </div>
        <form class="" form role="form" [formGroup]="loginForm" (ngSubmit)="onSubmit(loginForm.value)" novalidate>
            <div class="form-group pos-rel">
                <input [formControl]="loginForm.controls['roomname']" maxlength="50" type="text" class="form-control" [ngClass]="((loginForm.controls['roomname'].hasError('required') || loginForm.controls['roomname'].hasError('validateAlphabetWtihoutSpace')) && loginForm.controls['roomname'].touched)?'error-msg':''" aria-describedby="emailHelp" placeholder="Room Name">  
                <img src="assets/images/icon-user.jpg" alt="" class="user-icon">
                <span class="error-msg-text" *ngIf="loginForm.controls['roomname'].hasError('required') && loginForm.controls['roomname'].touched">Room name is required</span>
                <span class="error-msg-text" *ngIf="(loginForm.controls['roomname'].hasError('validateAlphabetWtihoutSpace') && !loginForm.controls['roomname'].hasError('required')) && loginForm.controls['roomname'].touched">space and special characters are not allowed</span>
            </div>
            <button type="submit" [disabled]="!loginForm.valid" class="btn btn-primary btn-block btn-styl1">START</button>
        </form>  
        <div class="mt-5">
            <!-- <a href="#" class="a1">Forgot password</a> -->
            <!-- <div class="mt-3">
            Not a Member? <a [routerLink]="['/signup']" class="a2">Sign Up</a>
            </div> -->
        </div>  
   </div>
</div>